List purchase orders
List purchase orders, for one task or for all.
GET https://cotlet.dev/api/v1/aroflo/purchase-orders
read
Returns purchase orders with purchase_order_id, supplier, the date and time it must be delivered by and the task it belongs to. Purchase orders are read only here. Follow next_cursor until it is null.
Parameters
| Name | Type | Description |
|---|---|---|
| task_id string | string | Only the purchase orders of this task. |
| supplier string | string | Supplier name to filter by. |
| cursor string | string | Next page cursor from the previous call. |
Request
curl https://cotlet.dev/api/v1/aroflo/purchase-orders \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("aroflo", "list_purchase_orders") const result = await cotlet.call('aroflo', 'list_purchase_orders'); cotlet call aroflo list_purchase_orders Example response
{
"purchase_orders": [
{
"purchase_order_id": "po_1530",
"supplier": "Coastline Refrigeration Supplies",
"delivery_by": "2026-10-28T10:00",
"task_id": "task_8814"
}
],
"next_cursor": null
}